GET /r/{subreddit}.json
Summary: Get hot posts from a subreddit
Operation ID: getSubredditHot
Auth: unknown
Operation ID: getSubredditHot
Auth: unknown
Description
Retrieves the hot posts from a specified subreddit.
Parameters (3)
after
(string, query, optional)
Fullname of a post to use as an anchor for pagination
limit
(integer, query, optional, default: 25)
Maximum number of posts to return (1-100)
Constraints: {'minimum': 1, 'maximum': 100}
subreddit
(string, path, required)
The name of the subreddit (without the r/ prefix)
Examples (2)
| Title | Type | URL | Action |
|---|---|---|---|
| Get posts from subreddit | openapi-spec |
https://www.reddit.com/r/technology.json |
|
| Get hot posts from a subreddit | probe-gate |
https://www.reddit.com/r/technology.json?limit=25 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 09:42:20.635031 | 200 | 712ms | |
| 2026-03-23 09:02:47.761888 | 200 | 628ms | |
| 2026-03-20T02:14:56.166292 | 200 | 674ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:02:47.761888 | ff2f36aeeb30 |
2149a52b5da5 |
| 2026-03-23 09:42:20.635031 | 2149a52b5da5 |
be73c6119428 |